Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162669 - gnome-screenshot crashes when taking a window only screenshot of gnome-terminal
Summary: gnome-screenshot crashes when taking a window only screenshot of gnome-terminal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 14:16 UTC by Viet Yen Nguyen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-23 09:55:56 UTC


Attachments (Terms of Use)

Description Viet Yen Nguyen 2005-07-07 14:16:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I take a window-only screenshot with alt-printscrn of a gnome-terminal, gnome-screenshots crashes and a crash window appears. 

However, window-only screenshots of other GTK-applicaties do work.

Version-Release number of selected component (if applicable):
gnome-utils-2.10.0-3

How reproducible:
Always

Steps to Reproduce:
1.Open gnome-terminal
2.Put focus on it
3.Alt-printscrn
  

Actual Results:  Crash occurs, stating that gnome-screenshot has crashed

Expected Results:  A window showing the resulting screenshot and a method to save it.

Additional info:

Using a FC4 installation + FC4 extra's

Comment 1 Sergey Bykov 2006-01-27 11:32:01 UTC
I'm approve this bug on FC4, but this bug not only for gnome-terminal but any
window.

I filled out bug report on bugzilla.gnome.org with "Bug Buddy" application
(http://bugzilla.gnome.org/show_bug.cgi?id=328738):

I have installed gnome-utils-debuginfo package and give you some backtrace:

Backtrace was generated from '/usr/bin/gnome-screenshot'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208412480 (LWP 5749)]
0x00170402 in __kernel_vsyscall ()
#0  0x00170402 in __kernel_vsyscall ()
#1  0x00475f93 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x06656080 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0804dad5 in screenshot_add_shadow (src=0x9380010)
    at screenshot-shadow.c:119
#5  0x0804cb7b in prepare_screenshot () at gnome-panel-screenshot.c:325
#6  0x0804cf06 in main (argc=154664976, argv=0x9380010)
    at gnome-panel-screenshot.c:458

Thread 1 (Thread -1208412480 (LWP 5749)):
#0  0x00170402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00475f93 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x06656080 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0804dad5 in screenshot_add_shadow (src=0x9380010)
    at screenshot-shadow.c:119
        dest = (GdkPixbuf *) 0x937bc80
#5  0x0804cb7b in prepare_screenshot () at gnome-panel-screenshot.c:325
        dialog = 

Comment 2 Christian Iseli 2007-01-22 11:07:34 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.